Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.starter
Class ServerStarter

    java.lang.Object
      org.jivesoftware.openfire.starter.ServerStarter

    public class ServerStarter

extends Object

Starts the core XMPP server. A bootstrap class that configures classloaders to ensure easy, dynamic server startup. This class should be for standalone mode only. Openfire servers launched through a J2EE container (servlet/EJB) will use those environment's classloading facilities to ensure proper startup.

Tasks:

- Unpack any pack files in the lib directory (Pack200 encoded JAR files).
- Add all jars in the lib directory to the classpath.
- Add the config directory to the classpath for loadResource()
- Start the server

Note: if the enviroment property `openfire.lib.directory` is specified ServerStarter will attempt to use this value as the value for openfire's lib directory. If the property is not specified the default value of ../lib will be used.

Author:
  Iain Shigeoka

Constructor Summary
`ServerStarter()`

Method Summary
`static void` | `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerStarter

    public ServerStarter()

Method Detail

### main

    public static void main(String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.